﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using AzarovAvtorizaciya.Pages;

namespace AzarovAvtorizaciya.Pages
{
    /// <summary>
    /// Логика взаимодействия для AuthPage.xaml
    /// </summary>
    public partial class AuthPage : Page
    {
        public AuthPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonEnter_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonEnter_OnClick(object sender, RoutedEventArgs e)
        {
            if (string.IsNullOrEmpty(TextBoxLogin.Text) || string.IsNullOrEmpty(PasswordBox.Password))
            {
                MessageBox.Show("Введите логин и пароль!");
                return;
            }
            using (var db = new AzarovAvtorizaciyaaEntities())
            {
                var user = db.Users
                    .AsNoTracking()
                    .FirstOrDefault(u => u.login == TextBoxLogin.Text && u.password == PasswordBox.Password);
                var role = db.Roles
                   .AsNoTracking()
                   .FirstOrDefault();

                if (user == null)
                {
                    MessageBox.Show("Пользователь с такими данными не найден!");
                    return;
                }
                MessageBox.Show("Пользователь успешно найден");

                switch (role.name)
                {
                    case "Директор":
                        NavigationService?.Navigate(new Pages.DirectorMenu());
                        break;
                    case "Заказчик":
                        NavigationService?.Navigate(new Pages.CustomerMenu());
                        break;
                }
            }
        }

            private void Button_Click_1(object sender, RoutedEventArgs e)
            {

            }

            private void ButtonRegistration_OnClick(object sender, RoutedEventArgs e)
            {
                NavigationService?.Navigate(new Page2());
            }
        
    }
}
